package cn.sh.stc.sict.cloud.upms.service;

import cn.sh.stc.sict.cloud.upms.model.HpMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.sh.stc.sict.cloud.upms.model.HpRoleMenu;

import java.util.List;

/**
 * 角色菜单表
 *
 * @author F_xh
 * @date 2021-01-07 09:26:01
 */
public interface HpRoleMenuService extends IService<HpRoleMenu> {
    boolean saveBatch(Long roleId, List<HpMenu> menuList);

    boolean removeByRoleId(Long roleId);

    boolean exist(Long menuId);
}

